Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind.helpers
Class NotIdentifiableEventImpl

    java.lang.Object
      |
      +--javax.xml.bind.helpers.ValidationEventImpl
            |
            +--javax.xml.bind.helpers.NotIdentifiableEventImpl

All Implemented Interfaces:
  NotIdentifiableEvent, ValidationEvent

public class NotIdentifiableEventImpl
extends ValidationEventImpl
implements NotIdentifiableEvent

Default implementation of the NotIdentifiableEvent interface.

JAXB providers are allowed to use whatever class that implements the ValidationEvent interface. This class is just provided for a convenience.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
See Also:
  `NotIdentifiableEvent`, `Validator`, `ValidationEventHandler`, `ValidationEvent`, `ValidationEventLocator`

Field Summary

Fields inherited from interface javax.xml.bind.ValidationEvent
`ERROR, FATAL_ERROR, WARNING`

Constructor Summary
`NotIdentifiableEventImpl(int _severity, java.lang.String _message, ValidationEventLocator _locator)` Create a new NotIdentifiableEventImpl.
`NotIdentifiableEventImpl(int _severity, java.lang.String _message, ValidationEventLocator _locator, java.lang.Throwable _linkedException)` Create a new NotIdentifiableEventImpl.

Methods inherited from class javax.xml.bind.helpers.ValidationEventImpl
`getLinkedException, getLocator, getMessage, getSeverity, setLinkedException, setLocator, setMessage, setSeverity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.bind.ValidationEvent
`getLinkedException, getLocator, getMessage, getSeverity`

Constructor Detail

### NotIdentifiableEventImpl

    public NotIdentifiableEventImpl(int _severity,
                                    java.lang.String _message,
                                    ValidationEventLocator _locator)

  Create a new NotIdentifiableEventImpl.

Parameters:
  `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
  `_message` - The text message for this event - may be null.
  `_locator` - The locator object for this event - may be null.
Throws:
  `java.lang.IllegalArgumentException` - if an illegal severity field is supplied

### NotIdentifiableEventImpl

    public NotIdentifiableEventImpl(int _severity,
                                    java.lang.String _message,
                                    ValidationEventLocator _locator,
                                    java.lang.Throwable _linkedException)

  Create a new NotIdentifiableEventImpl.

Parameters:
  `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
  `_message` - The text message for this event - may be null.
  `_locator` - The locator object for this event - may be null.
  `_linkedException` - An optional linked exception that may provide additional information about the event - may be null.
Throws:
  `java.lang.IllegalArgumentException` - if an illegal severity field is supplied

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.